Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 455673 - PXE kickstart install still attempts to get stage2.img from CD
Summary: PXE kickstart install still attempts to get stage2.img from CD
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: anaconda
Version: rawhide
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Anaconda Maintenance Team
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2008-07-16 22:10 UTC by Orion Poplawski
Modified: 2008-07-18 15:42 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2008-07-18 15:42:07 UTC


Attachments (Terms of Use)

Description Orion Poplawski 2008-07-16 22:10:20 UTC
Description of problem:

PXE kickstart install still attempts to get stage2.img from CD.  Not terrible,
but seems to slow things down unnecessarily.  Does the installer have any idea
at this point that it is a PXE boot?

Install source is http url in the kickstart file.

Comment 1 Jeremy Katz 2008-07-17 01:19:26 UTC
There's no way to tell that you've booted from pxe, unfortunately.  So we always
look for the CD.  And that looking is slow right now due to trying to work
around some changes in the kernel.  pjones was working on pushing some kernel
patches to make things better

Comment 2 Chris Lumens 2008-07-18 15:42:07 UTC
If you want to completely bypass the CD check, you'll need to add stage2=<path
to stage2.img> to your cmdline options.


Note You need to log in before you can comment on or make changes to this bug.